# $Revision: 1.17 $, $Date: 2012/01/14 18:10:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Number
%define		pnam	Compare
Summary:	Number::Compare - numeric comparisons
Summary(pl.UTF-8):	Number::Compare - porównywanie liczb
Name:		perl-Number-Compare
Version:	0.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Number/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ded4085a8fc96328742785574ca65208
URL:		http://search.cpan.org/dist/Number-Compare/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Number::Compare compiles a simple comparison to an anonymous
subroutine, which you can call with a value to be tested again.

%description -l pl.UTF-8
Number::Compare kompiluje proste porównanie do anonimowej biblioteki,
którą można wywołać ponownie dla porównywanej wartości.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Number/Compare.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Number-Compare.spec,v $
Revision 1.17  2012/01/14 18:10:30  zbyniu
- up to 0.03

Revision 1.16  2011/03/04 14:44:45  qboosh
- generic URL

Revision 1.15  2008/07/27 22:40:51  arekm
- release 4

Revision 1.14  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.12  2004/11/03 22:30:38  paladine
- formatting

Revision 1.11  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.10  2004/05/06 18:20:49  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/27 00:33:15  ankry
- tests added, other fixes

Revision 1.8  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.7  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.1  2003/02/20 23:45:36  ankry
- new
